Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	cross-platform multimedia library
Name:		allegro
Version:	4.4.0
Release:	1
License:	GNU/GPL 
URL:		http://alleg.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	alsa-lib-devel esound-devel sed
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel
BuildRequires:  libXrandr-devel startup-notification-devel
BuildRequires:  libXext-devel libX11-devel libXtst-devel libXxf86vm-devel
BuildRequires:  libXxf86dga-devel libXxf86misc-devel libXi-devel
BuildRequires:  libXrender-devel libXinerama-devel libdmx-devel libXp-devel
BuildRequires:  cmake libogg-devel libvorbis-devel
Requires:	alsa-lib esound
Obsoletes:	%{name}-man


%description
cross-platform multimedia library

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

#build
#./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --infodir=%_infodir \
#	--enable-mxx --enable-sse --enable-ossdigi --enable-ossmidi \
#	--enable-alsadigi --enable-alsamidi --enable-esddigi \
#	--enable-artsdigi --with-x --enable-xwin-shm --enable-xwin-vidmode \
#	--enable-xwin-dga --enable-xwin-dga2 --enable-fbcon --enable-shared=yes 
#make -j1 CFLAGS="${CFLAGS}"

#install
#rm -rf %{buildroot}
#make DESTDIR=%{buildroot} install install-gzipped-man install-gzipped-info 
#ln -s liballeg-%{version}.so %{buildroot}%_libdir/liballeg.so

%files
%defattr(-,root,root)
%{_bindir}/allegro-config
%{_bindir}/colormap
%{_bindir}/dat
%{_bindir}/dat2c
%{_bindir}/dat2s
%{_bindir}/exedat
%{_bindir}/grabber
%{_bindir}/pack
%{_bindir}/pat2dat
%{_bindir}/rgbmap
%{_bindir}/textconv
%{_libdir}/allegro
%{_libdir}/liballeg.so.*
%{_libdir}/liballeggl.a
%{_libdir}/libjpgalleg.a
%{_libdir}/libloadpng.a
%{_libdir}/liblogg.a

%files devel
%defattr(-,root,root)
%{_includedir}/allegro
%{_includedir}/alleggl.h
%{_includedir}/allegro.h
%{_includedir}/allegrogl/alleggl_config.h
%{_includedir}/allegrogl/gl_ext.h
%{_includedir}/allegrogl/gl_header_detect.h
%{_includedir}/jpgalleg.h
%{_includedir}/loadpng.h
%{_includedir}/logg.h
%{_includedir}/xalleg.h
%{_pkgconfig}/allegro.pc
%{_pkgconfig}/allegrogl.pc
%{_pkgconfig}/jpgalleg.pc
%{_pkgconfig}/loadpng.pc
%{_pkgconfig}/logg.pc
%{_prefix}/doc/allegro-%{version}
%{_libdir}/liballeg.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- version update
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.2.2-2
- obsolete man subpackage
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Version update
* Sun Nov 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.2.1-1
- version update
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.1.18-1
- Initial Release
